> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-pt/scenes-sdk7/bibliotecas/manage-dependencies.md).

# Gerenciar Dependências

Como adicionar bibliotecas a uma scene

Muitas vezes, sua scene pode precisar de funcionalidades que já estão encapsuladas em uma biblioteca reutilizável. Usar bibliotecas externas pode tornar o seu trabalho muito mais fácil.

Você pode importar bibliotecas externas para um projeto Decentraland e, em seguida, referenciar os systems, components ou functions descritos nessas bibliotecas.

Confira a [página de Examples](https://studios.decentraland.org/resources?sdk_version=SDK7\&resource_type=Library) para encontrar uma série de libraries, tanto criadas pela Decentraland Foundation quanto por membros da comunidade, que resolvem problemas comuns.

## Via a CLI

### Instalar

Para instalar uma library na pasta do seu projeto, execute `npm i` e o nome da library no caminho raiz do seu projeto. Por exemplo:

`npm i @dcl-sdk/utils`

> **📔 Observação**: Talvez seja necessário executar `npm run start` ou `npm run build` após instalar a library para que as dependências da library sejam instaladas.

### Atualizar

Se o seu `arquivo package.json` arquivo listar a versão da library como `@latest`, então execute `npm i` para atualizar todas as libraries para suas versões mais recentes correspondentes.

Se o seu `arquivo package.json` referenciar um número de versão específico, você pode atualizá-lo executando o comando para instalar a library, adicionando `@` e o número da versão no final. Por exemplo:

`npm i @dcl-sdk/utils@1.7.5`

### Desinstalar

Para excluir uma library das dependências da sua scene, execute `npm rm` e o nome da library. Por exemplo:

`npm rm @dcl-sdk/utils`

É uma boa prática remover quaisquer libraries que você não esteja usando. Libraries não utilizadas ainda ocupam espaço na scene, afetando a experiência do jogador ao baixar e executar sua scene.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-pt/scenes-sdk7/bibliotecas/manage-dependencies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
